Talkr AI
API ReferenceRuns

Retrieve Agent Run Details

Get the details, transcript, and recording for an agent run

Returns the full run record including run status, duration, transcript URL, recording URL, gathered context, and usage/cost info.

Use the recording_url and transcript_url directly, or use the Download endpoint to generate time-limited public URLs for sharing.

GET
/api/v1/workflow/{workflow_id}/runs/{run_id}

Path Parameters

workflow_id*Workflow Id
run_id*Run Id

Header Parameters

authorization?string|null
X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/workflow/0/runs/0"
{  "id": 0,  "workflow_id": 0,  "name": "string",  "mode": "string",  "created_at": "2019-08-24T14:15:22Z",  "is_completed": true,  "transcript_url": "string",  "recording_url": "string",  "user_recording_url": "string",  "bot_recording_url": "string",  "transcript_public_url": "string",  "recording_public_url": "string",  "user_recording_public_url": "string",  "bot_recording_public_url": "string",  "public_access_token": "string",  "cost_info": {},  "usage_info": {},  "definition_id": 0,  "initial_context": {},  "gathered_context": {},  "call_type": "inbound",  "logs": {},  "annotations": {}}